﻿using System.Collections.ObjectModel;
using System.Windows;

namespace TilesTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow
    {
        public MainWindow()
        {
            InitializeComponent();

            ObservableCollection<DataPoint> dataPoints = new ObservableCollection<DataPoint>();
            dataPoints.Add(new DataPoint
                               {
                                   Currency = "GBP",
                                   Date = "May 2001",
                                   Value = 1500
                               });
            
            dataPoints.Add(new DataPoint
            {
                Currency = "USD",
                Date = "May 2001",
                Value = 2500
            });

            dataPoints.Add(new DataPoint
            {
                Currency = "EUR",
                Date = "May 2001",
                Value = 1800
            });

            SeriesData context = new SeriesData
                                     {
                                         DataPoints = dataPoints
                                     };

            DataContext = context;
        }
    }

    public class SeriesData
    {
        public ObservableCollection<DataPoint> DataPoints { get; set; }
    }

    public class DataPoint
    {
        public string Date { get; set; }
        public double Value { get; set; }
        public string Currency { get; set; }
    }

}
